ALTER TABLE Trn_TraPedAnexo ADD TipoServicio VARCHAR(10)
GO
ALTER TABLE TarifasFletes ADD CdMercancia VARCHAR(16)
GO
ALTER TABLE Trn_TraOrdenManif ADD VrRemesas MONEY DEFAULT(0) NOT NULL,VrRecCaja MONEY DEFAULT(0) NOT NULL,CdForma VARCHAR(4)
GO
ALTER TABLE Trn_TraCumplido ADD NRadicaDoc INT DEFAULT(0),IdCiaRadic CHAR(2),CdCiaOfic CHAR(2),FecRadic SMALLDATETIME
GO
CREATE TABLE AcuAnticipos ( 
nAnno INT DEFAULT (0) NOT NULL,
nMes INT DEFAULT (0) NOT NULL,
IdCia CHAR(2) NOT NULL,
IdPoseedor VARCHAR(16) NOT NULL,
IdVehiculo VARCHAR(10) NOT NULL,
SaldoAnt MONEY DEFAULT (0) NOT NULL,
VrAnticipos MONEY DEFAULT (0) NOT NULL,
VrPagos MONEY DEFAULT (0) NOT NULL
 CONSTRAINT PK_AcuAnticipos PRIMARY KEY CLUSTERED (nAnno,nMes,IdCia,IdPoseedor,IdVehiculo),
 CONSTRAINT CK_AcuAnticiposIdCia CHECK ((len([IdCia]) > 0)),
 CONSTRAINT CK_AcuAnticiposIdPoseedor CHECK ((len([IdPoseedor]) > 0)),
 CONSTRAINT CK_AcuAnticiposIdVehiculo CHECK ((len([IdVehiculo]) > 0)),
 CONSTRAINT CK_AcuAnticiposnAnno CHECK (([nAnno] >= 1990 and [nAnno] <= 2050)),
 CONSTRAINT CK_AcuAnticiposnMes CHECK (([nMes] >= 0 and [nMes] <= 13)))
CREATE TABLE Trn_TraCumRadica ( 
NumRadica INT DEFAULT (0) NOT NULL,
IdCia CHAR(2) DEFAULT ('01') NOT NULL,
Fecha SMALLDATETIME NOT NULL,
TipMuc VARCHAR(3) DEFAULT ('MUC') NOT NULL,
Manifiesto INT DEFAULT (0) NOT NULL,
IdCiaMuc CHAR(2) DEFAULT ('01') NOT NULL,
CdCiaRad CHAR(2) DEFAULT ('01') NOT NULL,
DocAnexos VARCHAR(1000),
CantDoc INT DEFAULT (0) NOT NULL,
FormaEnvio VARCHAR(50),
NomRadica VARCHAR(150),
CedRadica VARCHAR(16),
Funcionario VARCHAR(150),
Observacion VARCHAR(2000),
NumeroCum INT DEFAULT (0) NOT NULL,
IdCiaCum CHAR(2) DEFAULT ('00') NOT NULL,
FechaCum SMALLDATETIME,
TimeSys SMALLDATETIME NOT NULL,
IdCiaCrea CHAR(2) DEFAULT ('01') NOT NULL,
IdUsuario VARCHAR(11) NOT NULL
 CONSTRAINT PK_Trn_TraCumRadica PRIMARY KEY CLUSTERED (NumRadica,IdCia),
 CONSTRAINT CK_Trn_TraCumRadicaCdCiaRad CHECK ((len([CdCiaRad]) > 0)),
 CONSTRAINT CK_Trn_TraCumRadicaIdCia CHECK ((len([IdCia]) > 0)),
 CONSTRAINT CK_Trn_TraCumRadicaIdCiaCrea CHECK ((len([IdCiaCrea]) > 0)),
 CONSTRAINT CK_Trn_TraCumRadicaIdCiaCum CHECK ((len([IdCiaCum]) > 0)),
 CONSTRAINT CK_Trn_TraCumRadicaIdCiaMuc CHECK ((len([IdCiaMuc]) > 0)),
 CONSTRAINT CK_Trn_TraCumRadicaIdUsuario CHECK ((len([IdUsuario]) > 0)),
 CONSTRAINT CK_Trn_TraCumRadicaTipMuc CHECK ((len([TipMuc]) > 0)))
GO
ALTER TABLE AcuAnticipos ADD 
 CONSTRAINT FK_AcuAnticipos_Companias FOREIGN KEY (IdCia) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_AcuAnticipos_Terceros FOREIGN KEY (IdPoseedor) REFERENCES [dbo].[Terceros] (IdTercero)
ALTER TABLE Trn_TraCumRadica ADD 
 CONSTRAINT FK_Trn_TraCumRadica_adm_Usuarios FOREIGN KEY (IdUsuario) REFERENCES [dbo].[adm_Usuarios] (IdUsuario),
 CONSTRAINT FK_Trn_TraCumRadica_Companias FOREIGN KEY (IdCia) REFERENCES [dbo].[Companias] (IdCia)
CREATE NONCLUSTERED INDEX IX_Trn_TraCumRadicaFecha ON Trn_TraCumRadica(Fecha)
 CREATE NONCLUSTERED INDEX IX_Trn_TraCumRadicaManifiesto ON Trn_TraCumRadica(TipMuc,Manifiesto,IdCiaMuc)
 CREATE NONCLUSTERED INDEX IX_Trn_TraCumRadicaNumeroCum ON Trn_TraCumRadica(NumeroCum,IdCiaCum)

